Subject: [PATCH 20/20] ASoC: fsl: add imx-sgtl5000 machine driver

From: [email-masked] (Timur Tabi)
Date: Mon, 5 Mar 2012 10:58:54 -0600

Mark Brown wrote:
> The DMA and SSI drivers should have some relationship with each other if
> they're the same piece of hardware.  

The DMA and SSI are completely separate blocks in the SOC.  On PowerPC,
the P1022 SOC has an SSI and the standard FSL PPC DMA controller (we call
it the Elo controller).  On i.MX, there is a completely different DMA
controller (I'm not familiar with it), but the same exact SSI.

-- 
Timur Tabi
Linux kernel developer at Freescale